routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::resource('libro', 'LibroController');
Route::get('api/v1/libros','LibroController@getLibros');
Route::get('pdf','ReportController@generar');

app/Libro.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Libro extends Model
{
     protected $fillable = ['nombre', 'resumen', 'npagina','edicion','autor','precio'];
}

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/LibroController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Libro;

class LibroController extends Controller
{

    public function index()//Consulta
    {
        //
        $libros = Libro::orderBy('id', 'DESC')->paginate(5);//mandar a llamar registros y luego ordenar
        return view('Libro.index', compact('libros')); //compact manda la informacion de los libros
    }
    public function create()
    {
        //
        return view('Libro.create');
    }
    public function store(Request $request)//ALTAS
    {
        //
        $this->validate($request, ['nombre' => 'required|max:30', 'resumen' => 'required|max:375',  'edicion' => 'required|numeric', 'autor' => 'required|max:20', 'npagina' => 'required', 'precio' => 'required']);
        Libro::create($request->all());
        return redirect()->route('libro.index');
    }
    public function edit($id)
    {
        //
        $libro = libro::find($id);
        return view('libro.edit', compact('libro'));
    }

    public function update(Request $request, $id)//MODIFICAR
    {
        //
        $this->validate($request, ['nombre' => 'required|max:30', 'resumen' => 'required|max:375', 'edicion' => 'required|numeric', 'autor' => 'required|max:20', 'npagina' => 'required', 'precio' => 'required']);
        libro::find($id)->update($request->all());//Aqui se actualiza y se guarda en la base de datos
        return redirect()->route('libro.index');

    }
    public function destroy($id)//BAJAS
    {
        //
        Libro::find($id)->delete();//Se busca por su id
        return redirect()->route('libro.index');
    }


}

app/Http/Controllers/ReportController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Libro;
use Barryvdh\DomPDF\Facade as PDF;

class ReportController extends Controller
{
    //
    /**
     * @return mixed
     */
    public function generar()
    {
        //$libros=Libro::all();
        $libros =\DB::table('libros')->select(['nombre', 'resumen', 'npagina','edicion','autor','precio'])->get();
        //dd($libros);
        $pdf = PDF::loadView('reporte', compact('libros'));
        //dd($pdf);
        return $pdf->stream();
    }
}

resources/views/Libro/create.blade.php
@extends('layouts.layout')
@section('content')
    <div class="row">
        <section class="content">
            <div class="col-md-10 col-md-offset-1">
                @if (count($errors) > 0)
                    <div class="alert alert-danger">
                        <strong>¡Lo sentimos!</strong><br>Revisa los campos obligatorios.<br><br>
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if(Session::has('success'))
                    <div class="alert alert-info">
                        {{Session::get('success')}}
                    </div>
                @endif

                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title text-center"><strong>Nuevo Libro</strong></h3>
                    </div>
                    <div class="panel-body">
                        <div class="table-container">
                            <form method="POST" action="{{ route('libro.store') }}" role="form">
                                {{ csrf_field() }}
                                <div class="row">
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="nombre" id="nombre" class="form-control input-sm"
                                                   placeholder="Nombre del libro">
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="npagina" id="npagina" class="form-control input-sm"
                                                   placeholder="Número de Páginas">
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <textarea name="resumen" class="form-control input-sm"
                                              placeholder="Resumen"></textarea>
                                </div>
                                <div class="row">
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="edicion" id="edicion" class="form-control input-sm"
                                                   placeholder="Edición del libro">
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="precio" id="precio" class="form-control input-sm"
                                                   placeholder="Precio del libro">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <textarea name="autor" class="form-control input-sm" placeholder="Autor"></textarea>
                                </div>
                                <div class="row">

                                    <div class="col-xs-12 col-sm-12 col-md-12">
                                        <input type="submit" value="Guardar" class="btn btn-info btn-block">
                                        <a href="{{ route('libro.index') }}" class="btn btn-info btn-block">Atrás</a>
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>

                </div>
            </div>
        </section>
@endsection

resources/views/Libro/edit.blade.php
@extends('layouts.layout')
@section('content')
    <div class="row">
        <section class="content">
            <div class="col-md-10 col-md-offset-1">
                @if (count($errors) > 0)
                    <div class="alert alert-danger">
                        <strong>Error!</strong> Rellena los campos obligatorios.<br><br>
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
                @if(Session::has('success'))
                    <div class="alert alert-info">
                        {{Session::get('success')}}
                    </div>
                @endif

                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title">Nuevo Libro</h3>
                    </div>
                    <div class="panel-body">
                        <div class="table-container">
                            <form method="POST" action="{{ route('libro.update',$libro->id) }}" role="form">
                                {{ csrf_field() }}
                                <input name="_method" type="hidden" value="PATCH">
                                <div class="row">
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="nombre" id="nombre" class="form-control input-sm"
                                                   value="{{$libro->nombre}}">
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="npagina" id="npagina" class="form-control input-sm"
                                                   value="{{$libro->npagina}}">
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <textarea name="resumen" class="form-control input-sm"
                                              placeholder="Resumen">{{$libro->resumen}}</textarea>
                                </div>
                                <div class="row">
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="edicion" id="edicion" class="form-control input-sm"
                                                   value="{{$libro->edicion}}">
                                        </div>
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="precio" id="precio" class="form-control input-sm"
                                                   value="{{$libro->precio}}">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <textarea name="autor" class="form-control input-sm"
                                              placeholder="Resumen">{{$libro->resumen}}</textarea>
                                </div>
                                <div class="row">

                                    <div class="col-xs-12 col-sm-12 col-md-12">
                                        <input type="submit" value="Actualizar" class="btn btn-success btn-block">
                                        <a href="{{ route('libro.index') }}" class="btn btn-info btn-block">Atrás</a>
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>

                </div>
            </div>
        </section>
@endsection

resources/views/Libro/index.blade.php
@extends('layouts.layout')
@section('content')
    <div class="row">
        <section class="content">
            <div class="col-md-10 col-md-offset-1">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="pull-left"><h1 class="text-primary">Libros existentes</h1></div>
                        <div class="pull-right">
                            <div class="btn-group">
                                <a href="{{ route('libro.create') }}" class="btn btn-primary">Nuevo libro</a>
                            </div>
                        </div>
                        <div class="table-resposive">
                            <table id="mytable" class="table table-bordred table-striped">
                                <thead>
                                <th><h4 class="text-info">Nombre</h4></th>
                                <th><h4 class="text-info text-justify">Resumen</h4></th>
                                <th><h4 class="text-info">No. Páginas</h4></th>
                                <th><h4 class="text-info">Edicion</h4></th>
                                <th><h4 class="text-info">Autor</h4></th>
                                <th><h4 class="text-info">Precio</h4></th>
                                <th><h4 class="text-info">Editar</h4></th>
                                <th><h4 class="text-info">Eliminar</h4></th>
                                </thead>
                                <tbody>
                                @if($libros->count())
                                    @foreach($libros as $libro)
                                        <tr>
                                            <td class="text-info">{{$libro->nombre}}</td>
                                            <td class="text-info text-justify">{{$libro->resumen}}</td>
                                            <td class="text-info text-center">{{$libro->npagina}}</td>
                                            <td class="text-info text-center">{{$libro->edicion}}</td>
                                            <td class="text-info">{{$libro->autor}}</td>
                                            <td class="text-info text-center">${{$libro->precio}}</td>
                                            <td><a class="btn btn-primary btn-xs margen-boton"
                                                   href="{{action('LibroController@edit', $libro->id)}}"><span
                                                            class="glyphicon glyphicon-pencil"></span></a></td>
                                            <td>
                                                <form action="{{action('LibroController@destroy', $libro->id)}}"
                                                      method="post">
                                                    {{csrf_field()}}
                                                    <input name="_method" type="hidden" value="DELETE">

                                                    <button class="btn btn-danger btn-xs margen-boton2" type="submit"><span
                                                                class="glyphicon glyphicon-trash"></span></button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                @else
                                    <tr>
                                        <td colspan="8" class="text-center"><h3 class="text-info">Sin libros en la base de datos</h3></td>
                                    </tr>
                                @endif
                                </tbody>

                            </table>
                        </div>
                    </div>
                    {{ $libros->links() }}
                </div>
            </div>
        </section>
    </div>
@endsection

resources/views/layouts/layout.blade.php
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <meta name="viewport"
          content="width=device-width, initial-scale=1, user-scalable=yes">
    <link href="{{asset('css/bootstrap.min.css')}}" rel="stylesheet">
    <link href="{{asset('css/estilos.css')}}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Eater|Muli" rel="stylesheet">
</head>
<body background="{{asset('img/fondo.jpg')}} " >

<div class=" marg-arriba">
    <h1 class="text-center text-uppercase">Bienvenido</h1>
</div>
<div class="container-fluid">
    @yield('content')
</div>
<script src="{{asset('js/jquery.min.js')}}"></script>
<script src="{{asset('js/bootstrap.min.js')}}"></script>
</body>
</html>

resources/views/layouts/reportLayout.blade.php
<!doctype html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link href="{{asset('css/bootstrap.min.css')}}" rel="stylesheet" >
    <link href="{{asset('css/pdf.css')}}" rel="stylesheet" >
    <title>view</title>
</head>
<body>
@yield('content')
<script src="{{asset('js/jquery.min.js')}}"></script>
<script src="{{asset('js/bootstrap.min.js')}}"></script>
</body>
</html>

resources/views/reporte.blade.php
@extends('layouts.reportLayout')
@section('content')

    <div class="panel panel-default panel-primary">
        <div class="panel-heading">
            <h2 class="panel-title">Librería random</h2>
        </div>
        <div class="panel-body">
            Reporte de libros en la base de datos
        </div>
    </div>

    <table class="table table-responsive table-striped ">
        <thead>
        <tr>
        <th><h4 class="text-info text-center">Nombre</h4></th>
        <th><h4 class="text-info text-justify">Resumen</h4></th>
        <th><h4 class="text-info text-center">No. Páginas</h4></th>
        <th><h4 class="text-info text-center">Edicion</h4></th>
        <th><h4 class="text-info text-center">Autor</h4></th>
        <th><h4 class="text-info text-center">Precio</h4></th>
        </tr>
        </thead>
        @foreach($libros as $libro)
        <tbody>
        <tr>
            <td>{{$libro->nombre}}</td>
            <td class="text-justify">{{$libro->resumen}}</td>
            <td class="text-center">{{$libro->npagina}}</td>
            <td class="text-center">{{$libro->edicion}}</td>
            <td>{{$libro->autor}}</td>
            <td class="text-center">{{$libro->precio}}</td>
        </tr>
        </tbody>
        @endforeach
    </table>
    <footer class="footer">
        <div class="container">
            <span class="text-muted">Instituto tecnológico del istmo</span>
        </div>
    </footer>
@endsection